Table of Contents

Module: ouroboros | Twisted-0.17.4/sandbox/ouroboros.py
--- | ---

This is the beginnings of a Python virtual machine in Python.

Imported modules |
--- | ---
import dis import types
Functions |
instance_add instance_create safe wrap
| instance_add

    instance_add ( a,  b )

Exceptions |
--- | ---
TypeError( "__add__ nor __radd__ defined for these operands" )

| instance_create

    instance_create (
            klass,
            inst,
            args,
            kw,
            )

| safe

    safe ( func,  globals )

| wrap

    wrap ( obj )

Classes |

Block |
Class |
Code | This is a simulated code object.
Float |
Frame |
Function |
Instance |
Int |
Interpreter |
List |
Long |
Method |
Number |
Object | Each of these operators will return a frame.
String |
Tuple |

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:44 2002 by HappyDoc version 2.0